import { IGitHub, IGitHubComment } from "./IGitHub";
export declare class GitHub implements IGitHub {
    private oauthTokenField;
    constructor(oauthToken?: string);
    private readonly oauthToken;
    getComments(owner: string, repository: string, issueNumber?: string): Promise<IGitHubComment[]>;
    deleteComment(owner: string, repository: string, commentId: string): Promise<any>;
    postComment(owner: string, repository: string, issueNumber: string, body: string): Promise<IGitHubComment>;
    private getRepoUrl(owner, repository);
    private getIssuesUrl(owner, repository, issueNumber?);
    private getCommentsUrl(owner, repository, issueNumber?);
    private getHeaders();
    private handleResponse<T>(response);
    private callFetch(url, options);
}
